/*================ GENERAL / RESET =====================*/

:root {
    font-size: 1rem;
    --header-height: 45px;
    --main-top-margin: 32px;
    --sidebar-height: calc(var(--header-height) + var(--main-top-margin));
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    overscroll-behavior: none;
    /*firefox*/
    scrollbar-width: thin;
    scrollbar-color: DarkSeaGreen transparent;
}

/*chrome etc*/
::-webkit-scrollbar {
    width: 9px;
    height: 9px; /* for horizontal scrollbar */
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: DarkSeaGreen;
    border-radius: 10px;
    border: 2px solid transparent; /* creates padding effect */
    background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #6fa87c; /* slightly darker on hover */
}

::selection {
    background: Yellow;
}

::-moz-selection {
    background: Yellow;
}

/*================ BASE =====================*/

body {
    overflow-y: scroll;
    text-rendering: optimizeLegibility;
    image-rendering: pixelated;
	font-size: 1.2rem;
}

img {
    max-width: 100%;
}

h1, h2, h3, h4 {
font-weight: normal;}

header {
    height: var(--header-height);
    text-align: center;
}

summary {
    cursor: pointer;
}

.logo {
    text-align: center;
    padding: 10px 0;
}

.logo img {
    height: 30px;
    width: auto;
    filter: drop-shadow(0 0 10px rgba(from blue r g b / 0.8));
}

.newthing {
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

.newthing::after {
    content: "";
    display: inline-block;
    width: 24px;
    height: 20px;
    vertical-align: middle;
    background: url("/IMAGES/symbol-new4.gif") no-repeat center / contain;
    image-rendering: pixelated;
}

/*================ NAV =====================*/



nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    padding: 3px;
    border-bottom: solid 1px;
    display: flex;
    justify-content: center;
	background: white;
}

nav a,
nav p {
    margin: 0 0.2em;
    letter-spacing: 0.1rem;
    font-size: 1.1rem;
    text-shadow: 1px 1px 0 white;
}

nav a {
    padding: 0.3em 1em;
}



nav p {
    padding: 0.3em 0.8em;
}

/*first ul container*/
nav > ul {
    margin: 0 auto;
    display: flex;
}

/*list elements in ul*/
nav ul li {
    position: relative; /*position relative to parent*/
    white-space: nowrap;
	list-style: none;
}

/*links*/
nav ul a {
    display: block; /*link area clickable*/
}

/*dropdown ul*/
nav ul li ul {
    display: none; /*hide dropdown by default*/
    position: absolute; /*dropdown doesnt interfere with normal layout*/
    top: 100%; /*positiondirectly below parent*/
    left: 0; /*left aligned*/
    border: 1px ridge;
    padding: 0;
}

/*list items inside dropdown*/
nav ul li ul li {
    width: 100%; /*each item fills menu width*/
}

nav ul li ul li:hover {
    background-color: yellow;
    border-radius: 5px;
}

/*show dropdown on hover*/
nav ul li:hover > ul {
    display: block;
}

a:hover {
font-weight: bold;}

/*================ LAYOUT =====================*/

aside {
    position: fixed;
    top: var(--sidebar-height);
    left: 0;
    max-height: calc(100vh - var(--sidebar-height));
    width: 260px;
    overflow-y: auto;
    line-height: 1.6;
    padding: 20px 20px;

    border: ridge 2px;
    border-left: none;
    box-shadow: 3px 3px 1px rgb(from DarkSlateGrey r g b / 0.3);
}

.page-wrapper {
    max-width: 1300px;
    margin: 0 auto;
    margin-left: 260px;
}

main {
    max-width: 1300px;
    padding: 0 1em;
    margin: var(--main-top-margin) auto;
}

section {
    max-width: 1000px;
    margin: 0 auto 30px;
    padding: 12px 20px;
    border: 2px ridge;
    box-shadow: 3px 3px 1px rgb(from DarkSlateGrey r g b / 0.3);
}


/*================ TYPOGRAPHY =====================*/

p {
    margin-bottom: 1em;
    line-height: 1.4;
}

ul,
ol,
blockquote,
figure {
    margin-bottom: 0.6em;
    line-height: 1.4;
}






/*================ LINKS =====================*/

ul {
margin-left: 20px;}


a:hover img,
a:focus img {
    transform: scale(1.05) rotate(1deg);
}

.outlink::after {
    content: "";
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-left: 3px;
    vertical-align: middle;
    background: url("/IMAGES/symbol-outlink-arrow.svg") no-repeat center / contain;
}



/*================ FOOTER =====================*/

footer {
    text-align: center;
    max-width: 800px;
    margin: 1.5em auto;
    padding: 2px;
}

/*================ MOBILE =====================*/

@media (max-width: 660px) {
    aside {
        position: static;
        width: 100%;
        height: auto;
    }

    .page-wrapper {
        margin-left: 0;
    }

    .flex {
        flex-direction: column;
        gap: 2em;
    }
}
